<div class="justify-content-center align-items-center space">
  <div class="text-center white-text mx-15 wow fadeIn">
    <h1>Zeely</h1>
  </div>
</div>

<div class="topShadow">
  <div class="py-5">
    <div class="card-deck justify-content-center" style="width: 100%">
      <div *ngFor="let concert of concerts">
        <div class="py-3 px-3">
          <div class="row d-flex justify-content-center">
            <div class="col">
              <mdb-card
                style="
                  height: calc(100px + 25vw);
                  width: calc(70px + 18vw);
                  margin: auto;
                "
              >
                <div
                  class="view overlay waves-light"
                  style="height: 20vw"
                  mdbWavesEffect
                >
                  <!-- Card img -->
                  <mdb-card-img
                    src="{{ concert['image'] }}"
                    alt="Card image cap"
                  >
                  </mdb-card-img>
                  <a>
                    <div class="mask rgba-white-slight"></div>
                  </a>
                </div>
                <!--Card content-->
                <mdb-card-body>
                  <!--Title-->
                  <mdb-card-title style="font-size: calc(5px + 1.3vw)">
                    <p>{{ concert["libelle"] }}</p>
                  </mdb-card-title>

                  <!--Text-->
                  <mdb-card-text>
                    <p style="font-size: calc(5px + 0.5vw)">
                      {{ concert["description"] }} <br />
                      Place(s) restante(s): {{ concert.remainingPlaces }} | Prix
                      de la place : {{ concert.prix }} €
                    </p>
                  </mdb-card-text>
                </mdb-card-body>

                <mdb-card-footer class="text-center" style="height: 17%">
                  <a
                    style="
                      margin-top: calc(2px + 0.2vh);
                      width: auto;
                      font-size: calc(2px + 1vw);
                      padding: calc(2px + 0.5vw) calc(2px + 2.5vw);
                    "
                    class="align-top"
                    (click)="addPanier(concert.id); shop.show()"
                    mdbBtn
                    color="primary"
                    mdbWavesEffect
                  >
                    Acheter une place
                  </a>
                </mdb-card-footer>
              </mdb-card>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div
    style="overflow-y: auto"
    mdbModal
    #shop="mdbModal"
    class="modal fade right"
    tabindex="-1"
    role="dialog"
    aria-labelledby="myBasicModalLabel"
    aria-hidden="true"
  >
    <div class="modal-dialog modal-full-height modal-right" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <button
            type="button"
            class="close pull-right"
            aria-label="Close"
            (click)="shop.hide()"
          >
            <span aria-hidden="true">×</span>
          </button>
          <h4 class="modal-title w-100" id="myModalLabel">Panier</h4>
        </div>

        <!-- Articles-->
        <div *ngFor="let article of panier; let index = index">
          <div class="modal-body">
            <mdb-card>
              <mdb-card-header class="pt-3">
                <div class="row">
                  <div class="col-10">
                    <h5>{{ article.libelle }}</h5>
                  </div>
                  <div class="col-2">
                    <p>{{ article.prix }}€</p>
                  </div>
                </div>
              </mdb-card-header>
              <mdb-card-body>
                <mdb-card-text>{{ article.description }}</mdb-card-text>
                <button
                  type="button"
                  mdbBtn
                  color="primary"
                  class="relative waves-light"
                  (click)="onDelete(index)"
                  mdbWavesEffect
                >
                  Supprimer
                </button>
              </mdb-card-body>
            </mdb-card>
          </div>
        </div>
        <!-- /Articles-->
        <p
          *ngIf="
            cookiePanier.get('isloggedIn') == 'false' ||
            cookiePanier.get('isloggedIn') == null
          "
          class="note note-danger mx-2"
        >
          Veuillez-vous connecter s'il vous plait...
        </p>
        <div class="modal-footer justify-content-center">
          <button
            type="button"
            mdbBtn
            color="primary"
            class="relative waves-light"
            (click)="onCommande()"
            [disabled]="toContinue()"
            mdbWavesEffect
          >
            Acheter
          </button>
        </div>
      </div>
    </div>
  </div>
</div>
